Pickpack – Reject
Reject pickpack orders and mark them as failed without recalculating freight.
Endpoint
POST /v1/pickpack/reject
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer access token used for authentication. |
Content-Type | string | Yes | application/json | Request body content type. |
Request Body Schema
application/json
ordersrequiredjson-stringArray of orders to reject.Non-empty array. Maximum 100 orders per request.
Array of orders to reject.
Non-empty array. Maximum 100 orders per request.
order_idrequired
string
Target order ID.
Numeric string.
Example:
3550646typerequiredstringReject type.Example: OTHERS
Reject type.
Example:
OTHERSSupported values:
| Value | Description |
|---|---|
OUT_OF_STOCK | Reject due to out of stock. |
OTHERS | Reject for other reasons. |
reject_reason
string
Reject reason.
Required when
type is OTHERS.Example:
Parcel damagedshipment_detailjson-stringShipment detailRequired when type is OUT_OF_STOCK.
Shipment detail
Required when
type is OUT_OF_STOCK.parcel_listrequiredjson-stringArray of parcels with declaration mapping.Required when type is OUT_OF_STOCK.Non-empty array.
Array of parcels with declaration mapping.
Required when
type is OUT_OF_STOCK.Non-empty array.
declaration_listrequiredjson-stringArray of declaration identifiers for items to reject.Required when type is OUT_OF_STOCK.Non-empty array.
Array of declaration identifiers for items to reject.
Required when
type is OUT_OF_STOCK.Non-empty array.
skurequired
string
SKU identifier.
Required when
type is OUT_OF_STOCK.Example:
ABC-001bar_code_eidrequired
string
Barcode EID identifier.
Required when
type is OUT_OF_STOCK.Example:
BC-EID-001Example request
curl -X POST "${API_URL}/v1/pickpack/reject" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"orders": [
{
"order_id": "3550646",
"type": "OTHERS",
"reject_reason": "Parcel damaged"
},
{
"order_id": "3550647",
"type": "OUT_OF_STOCK",
"shipment_detail": {
"parcel_list": [
{
"declaration_list": [
{
"sku": "ABC-001",
"bar_code_eid": "BC-EID-001"
}
]
}
]
}
}
]
}'
Responses
200 Success
200 Success
Response schema:
application/jsondatajson-stringPickpack reject response wrapper.
data
json-string
Pickpack reject response wrapper.
ordersjson-stringArray of orders successfully rejected.
orders
json-string
Array of orders successfully rejected.
order_id
string
Order ID.
Example:
3550646status
string
Updated pickpack status code.
Example:
PICKPACK_REJECTEDtype
string
Reject type.
Example:
OTHERSreject_reason
string
Reject reason.
Example:
Parcel damagedshipment_detailjson-stringShipment details
shipment_detail
json-string
Shipment details
parcel_listjson-stringParcel list mapping.
parcel_list
json-string
Parcel list mapping.
declaration_listjson-stringDeclaration mapping list.
declaration_list
json-string
Declaration mapping list.
sku
string
SKU identifier.
Example:
ABC-001bar_code_eid
string
Barcode EID identifier.
Example:
BC-EID-001Response sample
{
"data": {
"orders": [
{
"order_id": "3550646",
"status": "PICKPACK_REJECTED",
"type": "OTHERS",
"reject_reason": "Parcel damaged"
},
{
"order_id": "3550647",
"status": "PICKPACK_REJECTED",
"type": "OUT_OF_STOCK",
"reject_reason": "",
"shipment_detail": {
"parcel_list": [
{
"declaration_list": [
{
"sku": "ABC-001",
"bar_code_eid": "BC-EID-001"
}
]
}
]
}
}
]
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsonerror.code
string
Error code.
Example:
400000error.code_reason
string
Error reason.
Example:
BAD_REQUESTerror.message
string
Human-readable message.
Example:
Bad Requesterror.error_tracearrayList of validation errors.
error.error_trace
array
List of validation errors.
field
string
Request field that failed.
Example:
orders[0].shipment_detail.parcel_list[].declaration_listmessage
string
Human-readable message.
Example:
Provided declaration_list contains sku or bar_code_eid not found in this orderResponse sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{
"field": "orders[0].shipment_detail.parcel_list[].declaration_list",
"message": "Provided declaration_list contains sku/bar_code_eid not found in this order: sku=ABC-001, bar_code_eid=BC-EID-001"
}
]
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
Unauthorized{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer service{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}